Actualizar la configuración del número de teléfono
curl --request POST \
--url https://cerberus.eazybe.com/prod/api/v2/meta/phone-numbers/{phoneNumberId}/settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"calling": {
"status": "ENABLED",
"call_icon_visibility": "DEFAULT"
}
}
'{
"success": true
}Perfiles y configuración
Actualizar la configuración del número de teléfono
Actualizar la configuración del número de teléfono. Consulta los parámetros, el ejemplo y las respuestas disponibles para esta operación.
POST
/
meta
/
phone-numbers
/
{phoneNumberId}
/
settings
Actualizar la configuración del número de teléfono
curl --request POST \
--url https://cerberus.eazybe.com/prod/api/v2/meta/phone-numbers/{phoneNumberId}/settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"calling": {
"status": "ENABLED",
"call_icon_visibility": "DEFAULT"
}
}
'{
"success": true
}Autorizaciones
Token bearer de Eazybe. El token identifica la organización y debe mantenerse en el servidor.
Parámetros de ruta
ID del número de teléfono devuelto por GET /meta/phone-numbers.
Cuerpo
application/json
{
"calling": {
"status": "ENABLED",
"call_icon_visibility": "DEFAULT"
}
}
Show child attributes
Show child attributes
Respuesta
200 - application/json
Settings updated
Failure responses
| Status | Meaning | Action |
|---|---|---|
401 | Missing, invalid, or expired bearer token | Re-authenticate |
404 | phoneNumberId not linked to your organization | Verify the id |
400 | Invalid settings payload | Read error.message |
502 | Graph unreachable or timed out | Retry with backoff |
¿Esta página le ayudó?